      <div fxLayout="row"  >
        <div fxFlex="50" fxFlexOffset="25">

          <table mat-table [dataSource]="producto">
            <!--- Note that these columns can be defined in any order.
                    The actual rendered columns are set as a property on the row definition" -->

            <!-- Position Column -->
            <ng-container matColumnDef="id">
              <th mat-header-cell *matHeaderCellDef>id.</th>
              <td mat-cell *matCellDef="let individual">{{ individual.id }}</td>
            </ng-container>

            <!-- Name Column -->
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef>Name</th>
              <td mat-cell *matCellDef="let individual">{{ individual.name }}</td>
            </ng-container>

            <!-- Weight Column -->
            <ng-container matColumnDef="precio">
              <th mat-header-cell *matHeaderCellDef>precio</th>
              <td mat-cell *matCellDef="let individual">
                {{ individual.precio | currency }}
              </td>
            </ng-container>

            <!-- weight Column -->
            <ng-container matColumnDef="weight">
              <th mat-header-cell *matHeaderCellDef>weight</th>
              <td mat-cell *matCellDef="let individual">{{ individual.weight }}</td>
            </ng-container>

            <!-- status Column -->
            <ng-container matColumnDef="status">
              <th mat-header-cell *matHeaderCellDef>status</th>
              <td mat-cell *matCellDef="let individual">{{individual.status}}</td>
            </ng-container>

              <!-- TypeProduct Column -->
           <ng-container matColumnDef="typeProduct">
           <th mat-header-cell *matHeaderCellDef>typeProduct</th>
           <td mat-cell *matCellDef="let individual">{{ individual.typeProduct }}</td>
           </ng-container>

           <ng-container matColumnDef="comprarproducto">
            <th mat-header-cell *matHeaderCellDef></th>
            <td mat-cell *matCellDef="let element">
              <button mat-raised-button color="primary" class="nuevo" (click)="onComprar(element.id)"  *ngIf="isAdmin==false"> Comprar producto</button>
            </td>
          </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
          </table>

          <br> <div class="actions">

            <button mat-raised-button color="primary" class="nuevo" [routerLink]="['/admin-products']"> regresar a la lista </button>

          </div>

        </div>

      </div>

      <div fxLayout="row" >

        <img fxFlex="20" fxFlexOffset="40" class="image" [src]="imageUrl" *ngIf="imageUrl != null" />

      </div >

